%global momorel 4

Summary: PIN entry
Name: pinentry
Version: 0.7.5
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/X
URL: http://www.gnupg.org/
Source0: ftp://ftp.gnupg.org/gcrypt/pinentry/%{name}-%{version}.tar.gz
# Source0: ftp://ftp.gnupg.org/gcrypt/alpha/aegypten/%{name}-%{version}.tar.gz
# Source0: ftp://ftp.klaralvdalens-datakonsult.se/pub/aegypten/alpha/latest/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-0.7.4-glib2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: gtk+1
Requires: ncurses
Requires: info
BuildPreReq: gtk+1-devel
BuildPreReq: ncurses-devel
Provides: pinentry-curses
Provides: pinentry-gtk

%{?include_specopt}
%{?!pinqt: %global pinqt 0}
%if %{pinqt}
Requires: qt3
BuildPreReq: qt3-devel
Provides: pinentry-qt
%endif

%description
The pinentry is a small GUI application used to enter PINs or
Passphrases. It is usually invoked by gpg-agent.

%prep
%setup -q
%patch0 -p1 -b .glib2

%build
export AUTOMAKE=automake-1.7
export ACLOCAL=aclocal-1.7
./autogen.sh
%configure --enable-pinentry-curses --enable-pinentry-gtk \
	--enable-fallback-curses \
%if %{pinqt}
	--enable-pinentry-qt \
%else
	--disable-pinentry-qt \
%endif
	--disable-embedded --disable-palmtop --enable-maintainer-mode
%make


%install
rm -rf %{buildroot}
%makeinstall bindir=%{?buildroot:%{buildroot}}%{_sbindir}
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}


%post
if [ "$1" = 1 ]; then
/sbin/install-info %{_infodir}/pinentry.info %{_infodir}/dir \
--entry='* pinentry: (pinentry). PIN entry.'
fi

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --delete pinentry %{_infodir}/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc NEWS
%doc README
%doc THANKS
%doc TODO
%{_sbindir}/pinentry*
%{_infodir}/pinentry*

%changelog
* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.5-4m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.5-3m)
- rebuild against gcc43

* Fri Mar 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.5-2m)
- build fix
- import glib2.patch from Fedora
 +* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.7.4-5
 +- pinentry failed massrebuild attempt for GCC 4.3 (#434400)

* Wed Mar 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.5-1m)
- update to 0.7.5

* Sun May 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2-3m)
- revise %%files for rpm-4.4.2

* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.7.2-2m)
- rebuild against libtermcap and ncurses

* Sat Jan 29 2005 TAKAHASHI Tamotsu <tamo>
- (0.7.2-1m)
- Alter -> Main

* Mon Jun 14 2004 TAKAHASHI Tamotsu <tamo>
- (0.7.1-2m)
- does not conflict with newpg
 because old newpg has been removed

* Fri May 07 2004 TAKAHASHI Tamotsu <tamo>
- (0.7.1-1m)

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.9-3m)
- rebuild against ncurses 5.3.

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.9-2m)
- revised spec for rpm 4.2.

* Mon Nov 02 2003 TAKAHASHI Tamotsu <tamo>
- (0.6.9-1m)
- pinentry, divided from newpg
- Group: User Interface/X
- --enable-maintainer-mode
- correct and install info file
- BuildPreReq: gtk+1-devel, ncurses-devel
- Requires: gtk+1, ncurses, info
- Conflicts: newpg
